#include "vcpu.h"
#include "../debug/debug.h"
#include "../region/vxmon.h"
#include "linux/string.h"
#include <linux/errno.h>

int init_vcpu(struct vcpu_t *vcpu, struct vmxon_t *vmxon) {
    if (!vcpu) {
        DEBUG_FMT("vcpu isn't allocated\n");
        return -EFAULT;
    }

    if (!vmxon) {
        DEBUG_FMT("vmxon region isn't allocated\n");
        return -EFAULT;
    }

    vcpu->vmxon = vmxon;

    return 0;
}
